petsc-3.7.1 2016-05-15
Report Typos and Errors

# TAONLS

Newton's method with linesearch for unconstrained minimization. At each iteration, the Newton line search method solves the symmetric system of equations to obtain the step diretion dk: Hk dk = -gk a More-Thuente line search is applied on the direction dk to approximately solve min_t f(xk + t d_k)

### Options Database Keys

| -tao_nls_ksp_type | - "cg","nash","stcg","gltr","petsc" Many br
| -tao_nls_pc_type | - "none","ahess","bfgs","petsc" Many br
| -tao_nls_bfgs_scale_type | - "ahess","phess","bfgs" Many br
| -tao_nls_init_type | - "constant","direction","interpolation" Many br
| -tao_nls_update_type | - "step","direction","interpolation" Many br
| -tao_nls_sval | - perturbation starting value Many br
| -tao_nls_imin | - minimum initial perturbation Many br
| -tao_nls_imax | - maximum initial perturbation Many br
| -tao_nls_pmin | - minimum perturbation Many br
| -tao_nls_pmax | - maximum perturbation Many br
| -tao_nls_pgfac | - growth factor Many br
| -tao_nls_psfac | - shrink factor Many br
| -tao_nls_imfac | - initial merit factor Many br
| -tao_nls_pmgfac | - merit growth factor Many br
| -tao_nls_pmsfac | - merit shrink factor Many br
| -tao_nls_eta1 | - poor steplength; reduce radius Many br
| -tao_nls_eta2 | - reasonable steplength; leave radius Many br
| -tao_nls_eta3 | - good steplength; increase readius Many br
| -tao_nls_eta4 | - excellent steplength; greatly increase radius Many br
| -tao_nls_alpha1 | - alpha1 reduction Many br
| -tao_nls_alpha2 | - alpha2 reduction Many br
| -tao_nls_alpha3 | - alpha3 reduction Many br
| -tao_nls_alpha4 | - alpha4 reduction Many br
| -tao_nls_alpha | - alpha5 reduction Many br
| -tao_nls_mu1 | - mu1 interpolation update Many br
| -tao_nls_mu2 | - mu2 interpolation update Many br
| -tao_nls_gamma1 | - gamma1 interpolation update Many br
| -tao_nls_gamma2 | - gamma2 interpolation update Many br
| -tao_nls_gamma3 | - gamma3 interpolation update Many br
| -tao_nls_gamma4 | - gamma4 interpolation update Many br
| -tao_nls_theta | - theta interpolation update Many br
| -tao_nls_omega1 | - omega1 step update Many br
| -tao_nls_omega2 | - omega2 step update Many br
| -tao_nls_omega3 | - omega3 step update Many br
| -tao_nls_omega4 | - omega4 step update Many br
| -tao_nls_omega5 | - omega5 step update Many br
| -tao_nls_mu1_i | - mu1 interpolation init factor Many br
| -tao_nls_mu2_i | - mu2 interpolation init factor Many br
| -tao_nls_gamma1_i | - gamma1 interpolation init factor Many br
| -tao_nls_gamma2_i | - gamma2 interpolation init factor Many br
| -tao_nls_gamma3_i | - gamma3 interpolation init factor Many br
| -tao_nls_gamma4_i | - gamma4 interpolation init factor Many br
| -tao_nls_theta_i | - theta interpolation init factor Many br

Many br

Level:beginner
Location:src/tao/unconstrained/impls/nls/nls.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages